import { ITelemetryService } from "vscode/vscode/vs/platform/telemetry/common/telemetry.service";
import { IInstantiationService } from "vscode/vscode/vs/platform/instantiation/common/instantiation";
import { IContextKeyService } from "vscode/vscode/vs/platform/contextkey/common/contextkey.service";
import { IOutputChannel } from "vscode/vscode/vs/workbench/services/output/common/output";
import { IThemeService } from "vscode/vscode/vs/platform/theme/common/themeService.service";
import { IConfigurationService } from "vscode/vscode/vs/platform/configuration/common/configuration.service";
import { ViewPane, IViewPaneOptions } from "@codingame/monaco-vscode-65619f8f-0eab-5d8b-855a-43b6353fe527-common/vscode/vs/workbench/browser/parts/views/viewPane";
import { IKeybindingService } from "vscode/vscode/vs/platform/keybinding/common/keybinding.service";
import { IContextMenuService } from "vscode/vscode/vs/platform/contextview/browser/contextView.service";
import { IViewDescriptorService } from "vscode/vscode/vs/workbench/common/views.service";
import { IOpenerService } from "vscode/vscode/vs/platform/opener/common/opener.service";
import { IHoverService } from "vscode/vscode/vs/platform/hover/browser/hover.service";
export declare class OutputViewPane extends ViewPane {
    private readonly editor;
    private channelId;
    private editorPromise;
    private readonly scrollLockContextKey;
    get scrollLock(): boolean;
    set scrollLock(scrollLock: boolean);
    constructor(options: IViewPaneOptions, keybindingService: IKeybindingService, contextMenuService: IContextMenuService, configurationService: IConfigurationService, contextKeyService: IContextKeyService, viewDescriptorService: IViewDescriptorService, instantiationService: IInstantiationService, openerService: IOpenerService, themeService: IThemeService, telemetryService: ITelemetryService, hoverService: IHoverService);
    showChannel(channel: IOutputChannel, preserveFocus: boolean): void;
    focus(): void;
    protected renderBody(container: HTMLElement): void;
    protected layoutBody(height: number, width: number): void;
    private onDidChangeVisibility;
    private setInput;
    private clearInput;
    private createInput;
}
